Parameters
string
default:"1"
The page number to retrieve. By default, the first page is returned.
string
default:"100"
The number of items to retrieve per page. The default value varies by
endpoint.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Learn how to paginate through resources in the API.
{
"pageInfo": {
"page": 1,
"pages": 10,
"total": 100,
"pageTotal": 10,
"hasNextPage": true,
"hasPrevPage": false
}
}
curl --request GET \
--url 'https://api.dock.us/v1/accounts?page=1&limit=10' \
--header 'Authorization: Bearer <token>'
const options = { method: 'GET', headers: { Authorization: 'Bearer <token>' } };
fetch('https://api.dock.us/v1/accounts?page=1&limit=10', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
import requests
url = "https://api.dock.us/v1/accounts"
querystring = {"page":"1","limit":"10"}
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers, params=querystring)
print(response.text)
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.dock.us/v1/accounts?page=1&limit=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}